C5 BuiltinFunctions.c  fn RingElem

09 May 2014 21:13 - John Abbott

Status: Closed Start date: 09 May 2014

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: Incomplete function Estimated time: 1.00 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.05 hour

Description

What is going on in the impl of builtin fn RingElem; source is in BuiltinFunctions.C:949-977???

Something BAD!

History

#1 - 09 May 2014 21:27 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

OK, I think I have figured out what the code is supposed to do.  I've added some documentation (and improved variable names).

At first sight the code looked to be horribly wrong!  We definitely need to redesign the way builtin fns are defined!

#2 - 09 May 2014 21:30 - John Abbott

- Estimated time set to 1.00 h

Wouldn't it be more natural to specify indexed symbols using this syntax: RingElem(R, "x", [2,3])?

#3 - 09 May 2014 21:41 - John Abbott

- % Done changed from 50 to 60

I've tested and checked in my revised impl.

Perhaps I was too paranoid after finding an ugly bug in IsHomog (also fixed).

#4 - 14 May 2014 16:35 - John Abbott

- Priority changed from Immediate to High

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 04 Sep 2014 12:18 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

Anna explains that the ugly interface was devised to allow a C5 user to create another poly ring whose indets have the same names as those of an

existing ring.

Presumably this can be killed when such a capability becomes available in CoCoALib?

Closing.
